import SchemaDecorators, { Schema } from 'schema-decorators';
export default abstract class SimpleSchemaDecorators extends SchemaDecorators {
    static schemaClass: Function;
    static attachSchema(constructor: any, schema: Schema): void;
    static Custom(key: string, value: any): (target: any, propertyKey: string) => void;
    static Min(value: number): (target: any, propertyKey: string) => void;
    static Max(value: number): (target: any, propertyKey: string) => void;
}
export declare let Custom: typeof SimpleSchemaDecorators.Custom;
export declare let Min: typeof SimpleSchemaDecorators.Min;
export declare let Max: typeof SimpleSchemaDecorators.Max;
