var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var simpl_schema_1 = require("simpl-schema");
var schema_decorators_1 = require("schema-decorators");
var SimpleSchemaDecorators = (function (_super) {
    __extends(SimpleSchemaDecorators, _super);
    function SimpleSchemaDecorators() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    SimpleSchemaDecorators.attachSchema = function (constructor, schema) {
        if (schema instanceof simpl_schema_1.default && constructor.$collection && typeof constructor.$collection.attachSchema === 'function') {
            constructor.$collection.attachSchema(schema);
        }
    };
    SimpleSchemaDecorators.Custom = function (key, value) {
        return schema_decorators_1.default.extendSchema(key, value);
    };
    SimpleSchemaDecorators.Min = function (value) {
        return schema_decorators_1.default.extendSchema('min', value);
    };
    SimpleSchemaDecorators.Max = function (value) {
        return schema_decorators_1.default.extendSchema('max', value);
    };
    SimpleSchemaDecorators.schemaClass = simpl_schema_1.default;
    return SimpleSchemaDecorators;
}(schema_decorators_1.default));
exports.default = SimpleSchemaDecorators;
exports.Custom = SimpleSchemaDecorators.Custom;
exports.Min = SimpleSchemaDecorators.Min;
exports.Max = SimpleSchemaDecorators.Max;
